List complimentary access OAuth Scope: complimentary_access:read

Retrieve all complimentary access objects belonging to a specific publication.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object

Query parameters

expand[]stringOptional

Optional list of expandable objects.
tier - Returns the full tier object associated with this complimentary access.
stats - Returns granted subscription counts.

limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
cursorstringOptional

Use this opaque cursor token to fetch the next page of results. Obtain the value from next_cursor in a previous response.

Response

OK
datalist of objects
limitinteger
The limit placed on the results. Defaults to 10 if not specified.
has_moreboolean
Indicates whether there are more results available after the current page.
next_cursorstring

The cursor token to use for fetching the next page of results. This will be null if has_more is false.

total_resultsinteger
The total number of results from all pages.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error